package pp.battleship.game.client;
import com.simsilica.lemur.Slider;

public class VolumeSlider extends Slider{

    private final GameMusic music;

    private double vol;

    public VolumeSlider(GameMusic music) {
        super();
        this.music = music;
        vol = GameMusic.volumeInPreferences();
        getModel().setPercent(vol);
    }

    public void update() {
        if (vol != getModel().getPercent()) {
            vol = getModel().getPercent();
            music.setVolume( (float) vol);
        }
    }

}

}
